- Qt 5.15
- Qt GUI
- C++ Classes
- QStandardItem
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QStandardItem

The following members of class QStandardItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isTristate() const
`(obsolete)` void | setTristate(bool tristate)

## Member Function Documentation

### bool QStandardItem::isTristate() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QStandardItem::isAutoTristate() instead. For a tristate checkbox that the user can change between all three states, use QStandardItem::isUserTristate() instead.

### void QStandardItem::setTristate(bool tristate)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QStandardItem::setAutoTristate(bool tristate) instead. For a tristate checkbox that the user can change between all three states, use QStandardItem::setUserTristate(bool tristate) instead.

See also isTristate().